PreparedStatementProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class PreparedStatementProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
              org.hibernate.engine.jdbc.internal.proxy.PreparedStatementProxyHandler

All Implemented Interfaces:
  InvocationHandler

Direct Known Subclasses:
  CallableStatementProxyHandler

    public class PreparedStatementProxyHandler

extends AbstractStatementProxyHandler

Invocation handler for `PreparedStatement` proxies

Constructor Summary
`protected` | `PreparedStatementProxyHandler(String sql, Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Method Summary
`protected void` | `beginningInvocationHandling(Method method, Object[] args)`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
`continueInvocation, getConnectionProxy, getJdbcServices, getResourceRegistry, getStatement, getStatementWithoutChecks`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparedStatementProxyHandler

    protected PreparedStatementProxyHandler(String sql,
                                            Statement statement,
                                            ConnectionProxyHandler connectionProxyHandler,
                                            Connection connectionProxy)

Method Detail

### beginningInvocationHandling

    protected void beginningInvocationHandling(Method method,
                                               Object[] args)

  Overrides:
    `beginningInvocationHandling` in class `AbstractStatementProxyHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.